Subject: Re: [bug#30629] [PATCH 0/5] Detect missing modules in the initrd

From: [email-masked] (Ludovic Courtès)
Date: Sat, 03 Mar 2018 09:42:44 +0100

Danny Milosavljevic <[email-masked]> skribis:

> I've cloned master and checked it again, everything is fine except for the test failures :->

Oops!

> It's not so bad, don't worry.
>
> ------------------------------------------------------------------------------------------------
> $ make TESTS=separate-store-os check-system
> [...]
> Service cow-store has been started.
> + mkdir /mnt/etc
> + cp /etc/target-config.scm /mnt/etc/config.scm
> + guix system init /mnt/etc/config.scm /mnt --no-substitutes
> /mnt/etc/config.scm:1:300: error: you need these modules in the initrd for /dev/vdb2: virtio_blk virtio_pci
> environment variable `PATH' set to `/gnu/store/hrwkb74sxa9lpfljgi12b5xsaqrcx8x3-qemu-minimal-2.11.1/bin'
> QEMU runs as PID 9
> connected to QEMU's monitor
> read QEMU monitor prompt
> connected to guest REPL
> marionette is ready
>
> ;;; (uname #("Linux" "gnu" "4.15.7-gnu" "#1 SMP 1" "x86_64"))
> note: keeping build directory `/tmp/guix-build-installation.drv-1'
> builder for `/gnu/store/b4ddq7grgyn48q1j2gw6hah92bvhjymw-installation.drv' failed with exit code 1
> @ build-failed /gnu/store/b4ddq7grgyn48q1j2gw6hah92bvhjymw-installation.drv - 1 builder for `/gnu/store/b4ddq7grgyn48q1j2gw6hah92bvhjymw-installation.drv' failed with exit code 1
> cannot build derivation `/gnu/store/709x4gzkfdzpnqgsqj7lh35pqnj9vvy5-separate-store-os.drv': 1 dependencies couldn't be built
> TOTAL: 1
> FAIL: /gnu/store/skxfrvcynva5fwq7w4rg0g8c5qc771lb-separate-store-os
> ------------------------------------------------------------------------------------------------
>
> I think it's right in that:
>
> /mnt/etc/config.scm:1:300: error: you need these modules in the initrd for /dev/vdb2: virtio_blk virtio_pci

I moved them to ‘%base-initrd-modules’ so that ‘guix system’ knows about
them.  I fixed other issues as well:

  eac026e5c * linux-initrd: Add virtio modules to '%base-initrd-modules'.
  f850e0da8 * system: beaglebone-black: Use 'initrd-modules'.
  5a3716aeb * vm: Add missing modules to the 'expression->derivation-in-linux-vm' initrd.
  3cb3a4e6e * linux-initrd: 'file-system-modules' returns the right module list.

Apologies for the breakage!

Thanks,
Ludo’.